namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Entry::scrollable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::scrollable_set( ::efl::eolian::in_traits<bool>::type scroll) const
{
    ::elm_obj_entry_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scroll));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_show_on_demand_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_show_on_demand_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_show_on_demand_set( ::efl::eolian::in_traits<bool>::type ondemand) const
{
    ::elm_obj_entry_input_panel_show_on_demand_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ondemand));
}
inline ::efl::eolian::return_traits<bool>::type Entry::context_menu_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_context_menu_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_context_menu_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<Elm_Cnp_Mode>::type Entry::cnp_mode_get() const
{
   Elm_Cnp_Mode __return_value =  ::elm_obj_entry_cnp_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Cnp_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::cnp_mode_set( ::efl::eolian::in_traits<Elm_Cnp_Mode>::type cnp_mode) const
{
    ::elm_obj_entry_cnp_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Cnp_Mode,  ::efl::eolian::in_traits<Elm_Cnp_Mode>::type>(cnp_mode));
}
inline ::efl::eolian::return_traits<void>::type Entry::file_text_format_set( ::efl::eolian::in_traits<Elm_Text_Format>::type format) const
{
    ::elm_obj_entry_file_text_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Text_Format,  ::efl::eolian::in_traits<Elm_Text_Format>::type>(format));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type Entry::input_panel_language_get() const
{
   Elm_Input_Panel_Lang __return_value =  ::elm_obj_entry_input_panel_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_language_set( ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type lang) const
{
    ::elm_obj_entry_input_panel_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Lang,  ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type>(lang));
}
inline ::efl::eolian::return_traits<bool>::type Entry::selection_handler_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_selection_handler_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_handler_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_selection_handler_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<int>::type Entry::input_panel_layout_variation_get() const
{
   int __return_value =  ::elm_obj_entry_input_panel_layout_variation_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_layout_variation_set( ::efl::eolian::in_traits<int>::type variation) const
{
    ::elm_obj_entry_input_panel_layout_variation_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(variation));
}
inline ::efl::eolian::return_traits<Elm_Autocapital_Type>::type Entry::autocapital_type_get() const
{
   Elm_Autocapital_Type __return_value =  ::elm_obj_entry_autocapital_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Autocapital_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::autocapital_type_set( ::efl::eolian::in_traits<Elm_Autocapital_Type>::type autocapital_type) const
{
    ::elm_obj_entry_autocapital_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Autocapital_Type,  ::efl::eolian::in_traits<Elm_Autocapital_Type>::type>(autocapital_type));
}
inline ::efl::eolian::return_traits<bool>::type Entry::editable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_editable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::editable_set( ::efl::eolian::in_traits<bool>::type editable) const
{
    ::elm_obj_entry_editable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(editable));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::anchor_hover_style_get() const
{
   const char * __return_value =  ::elm_obj_entry_anchor_hover_style_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::elm_obj_entry_anchor_hover_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<bool>::type Entry::single_line_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_single_line_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::single_line_set( ::efl::eolian::in_traits<bool>::type single_line) const
{
    ::elm_obj_entry_single_line_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(single_line));
}
inline ::efl::eolian::return_traits<bool>::type Entry::password_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::password_set( ::efl::eolian::in_traits<bool>::type password) const
{
    ::elm_obj_entry_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(password));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_return_key_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_return_key_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_input_panel_return_key_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<bool>::type Entry::autosave_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_autosave_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::autosave_set( ::efl::eolian::in_traits<bool>::type auto_save) const
{
    ::elm_obj_entry_autosave_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(auto_save));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Entry::anchor_hover_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_entry_anchor_hover_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_parent_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type parent) const
{
    ::elm_obj_entry_anchor_hover_parent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(parent));
}
inline ::efl::eolian::return_traits<bool>::type Entry::prediction_allow_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_prediction_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::prediction_allow_set( ::efl::eolian::in_traits<bool>::type prediction) const
{
    ::elm_obj_entry_prediction_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(prediction));
}
inline ::efl::eolian::return_traits<Elm_Input_Hints>::type Entry::input_hint_get() const
{
   Elm_Input_Hints __return_value =  ::elm_obj_entry_input_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Hints>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_hint_set( ::efl::eolian::in_traits<Elm_Input_Hints>::type hints) const
{
    ::elm_obj_entry_input_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Hints,  ::efl::eolian::in_traits<Elm_Input_Hints>::type>(hints));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type Entry::input_panel_layout_get() const
{
   Elm_Input_Panel_Layout __return_value =  ::elm_obj_entry_input_panel_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_layout_set( ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type layout) const
{
    ::elm_obj_entry_input_panel_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Layout,  ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type>(layout));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type Entry::input_panel_return_key_type_get() const
{
   Elm_Input_Panel_Return_Key_Type __return_value =  ::elm_obj_entry_input_panel_return_key_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_type_set( ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type return_key_type) const
{
    ::elm_obj_entry_input_panel_return_key_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Return_Key_Type,  ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type>(return_key_type));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_entry_input_panel_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Elm_Wrap_Type>::type Entry::line_wrap_get() const
{
   Elm_Wrap_Type __return_value =  ::elm_obj_entry_line_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Wrap_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::line_wrap_set( ::efl::eolian::in_traits<Elm_Wrap_Type>::type wrap) const
{
    ::elm_obj_entry_line_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Wrap_Type,  ::efl::eolian::in_traits<Elm_Wrap_Type>::type>(wrap));
}
inline ::efl::eolian::return_traits<int>::type Entry::cursor_pos_get() const
{
   int __return_value =  ::elm_obj_entry_cursor_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_pos_set( ::efl::eolian::in_traits<int>::type pos) const
{
    ::elm_obj_entry_cursor_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(pos));
}
inline ::efl::eolian::return_traits<void>::type Entry::icon_visible_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_entry_icon_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_line_end_set() const
{
    ::elm_obj_entry_cursor_line_end_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::select_region_get( ::efl::eolian::out_traits<int>::type start,  ::efl::eolian::out_traits<int>::type end) const
{
   int __out_param_start = {};
   int __out_param_end = {};
    ::elm_obj_entry_select_region_get(this->_eo_ptr()
      , & __out_param_start
      , & __out_param_end);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(start, __out_param_start);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(end, __out_param_end);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_region_set( ::efl::eolian::in_traits<int>::type start,  ::efl::eolian::in_traits<int>::type end) const
{
    ::elm_obj_entry_select_region_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(start)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(end));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_autoenabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_entry_input_panel_return_key_autoenabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void>::type Entry::end_visible_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_entry_end_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_begin_set() const
{
    ::elm_obj_entry_cursor_begin_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_line_begin_set() const
{
    ::elm_obj_entry_cursor_line_begin_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_end_set() const
{
    ::elm_obj_entry_cursor_end_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Entry::textblock_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_entry_textblock_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_geometry_get( ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
   Evas_Coord __out_param_w = {};
   Evas_Coord __out_param_h = {};
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_geometry_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(h, __out_param_h);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void*>::type Entry::imf_context_get() const
{
   void * __return_value =  ::elm_obj_entry_imf_context_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_is_format_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_is_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::selection_get() const
{
   const char * __return_value =  ::elm_obj_entry_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_is_visible_format_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_is_visible_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::select_allow_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_select_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_allow_set( ::efl::eolian::in_traits<bool>::type allow) const
{
    ::elm_obj_entry_select_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(allow));
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_prev() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_prev(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::text_style_user_pop() const
{
    ::elm_obj_entry_text_style_user_pop(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_prepend( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_show() const
{
    ::elm_obj_entry_input_panel_show(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::imf_context_reset() const
{
    ::elm_obj_entry_imf_context_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::calc_force() const
{
    ::elm_obj_entry_calc_force(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_end() const
{
    ::elm_obj_entry_anchor_hover_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_selection_begin() const
{
    ::elm_obj_entry_cursor_selection_begin(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_down() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_down(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::file_save() const
{
    ::elm_obj_entry_file_save(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_copy() const
{
    ::elm_obj_entry_selection_copy(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::text_style_user_push( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::elm_obj_entry_text_style_user_push(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_remove( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::text_style_user_peek() const
{
   const char * __return_value =  ::elm_obj_entry_text_style_user_peek(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_clear() const
{
    ::elm_obj_entry_context_menu_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_up() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_up(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::entry_insert( ::efl::eolian::in_traits< ::efl::eina::string_view>::type entry) const
{
    ::elm_obj_entry_insert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(entry));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_imdata_set( ::efl::eolian::in_traits<void const*>::type data,  ::efl::eolian::in_traits<int>::type len) const
{
    ::elm_obj_entry_input_panel_imdata_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_imdata_get( ::efl::eolian::out_traits<void>::type data,  ::efl::eolian::out_traits<int>::type len) const
{
   void* __out_param_data = {};
   int __out_param_len = {};
    ::elm_obj_entry_input_panel_imdata_get(this->_eo_ptr()
      , & __out_param_data
      , & __out_param_len);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<void>::type, void>(data, __out_param_data);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(len, __out_param_len);
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_paste() const
{
    ::elm_obj_entry_selection_paste(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_next() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_next(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_none() const
{
    ::elm_obj_entry_select_none(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_hide() const
{
    ::elm_obj_entry_input_panel_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::select_all() const
{
    ::elm_obj_entry_select_all(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_selection_end() const
{
    ::elm_obj_entry_cursor_selection_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_cut() const
{
    ::elm_obj_entry_selection_cut(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::is_empty() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_is_empty(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_remove( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_append( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_append( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::entry_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type str) const
{
    ::elm_obj_entry_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(str));
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_item_add( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon_file,  ::efl::eolian::in_traits<Elm_Icon_Type>::type icon_type,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_obj_entry_context_menu_item_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(label)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon_file)
      ,  ::efl::eolian::convert_to_c<Elm_Icon_Type,  ::efl::eolian::in_traits<Elm_Icon_Type>::type>(icon_type)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_prepend( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Entry::scrollable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::scrollable_set( ::efl::eolian::in_traits<bool>::type scroll) const
{
    ::elm_obj_entry_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scroll));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_show_on_demand_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_show_on_demand_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_show_on_demand_set( ::efl::eolian::in_traits<bool>::type ondemand) const
{
    ::elm_obj_entry_input_panel_show_on_demand_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ondemand));
}
inline ::efl::eolian::return_traits<bool>::type Entry::context_menu_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_context_menu_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_context_menu_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<Elm_Cnp_Mode>::type Entry::cnp_mode_get() const
{
   Elm_Cnp_Mode __return_value =  ::elm_obj_entry_cnp_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Cnp_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::cnp_mode_set( ::efl::eolian::in_traits<Elm_Cnp_Mode>::type cnp_mode) const
{
    ::elm_obj_entry_cnp_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Cnp_Mode,  ::efl::eolian::in_traits<Elm_Cnp_Mode>::type>(cnp_mode));
}
inline ::efl::eolian::return_traits<void>::type Entry::file_text_format_set( ::efl::eolian::in_traits<Elm_Text_Format>::type format) const
{
    ::elm_obj_entry_file_text_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Text_Format,  ::efl::eolian::in_traits<Elm_Text_Format>::type>(format));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type Entry::input_panel_language_get() const
{
   Elm_Input_Panel_Lang __return_value =  ::elm_obj_entry_input_panel_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_language_set( ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type lang) const
{
    ::elm_obj_entry_input_panel_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Lang,  ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type>(lang));
}
inline ::efl::eolian::return_traits<bool>::type Entry::selection_handler_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_selection_handler_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_handler_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_selection_handler_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<int>::type Entry::input_panel_layout_variation_get() const
{
   int __return_value =  ::elm_obj_entry_input_panel_layout_variation_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_layout_variation_set( ::efl::eolian::in_traits<int>::type variation) const
{
    ::elm_obj_entry_input_panel_layout_variation_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(variation));
}
inline ::efl::eolian::return_traits<Elm_Autocapital_Type>::type Entry::autocapital_type_get() const
{
   Elm_Autocapital_Type __return_value =  ::elm_obj_entry_autocapital_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Autocapital_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::autocapital_type_set( ::efl::eolian::in_traits<Elm_Autocapital_Type>::type autocapital_type) const
{
    ::elm_obj_entry_autocapital_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Autocapital_Type,  ::efl::eolian::in_traits<Elm_Autocapital_Type>::type>(autocapital_type));
}
inline ::efl::eolian::return_traits<bool>::type Entry::editable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_editable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::editable_set( ::efl::eolian::in_traits<bool>::type editable) const
{
    ::elm_obj_entry_editable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(editable));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::anchor_hover_style_get() const
{
   const char * __return_value =  ::elm_obj_entry_anchor_hover_style_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::elm_obj_entry_anchor_hover_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<bool>::type Entry::single_line_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_single_line_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::single_line_set( ::efl::eolian::in_traits<bool>::type single_line) const
{
    ::elm_obj_entry_single_line_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(single_line));
}
inline ::efl::eolian::return_traits<bool>::type Entry::password_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::password_set( ::efl::eolian::in_traits<bool>::type password) const
{
    ::elm_obj_entry_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(password));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_return_key_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_return_key_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_entry_input_panel_return_key_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<bool>::type Entry::autosave_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_autosave_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::autosave_set( ::efl::eolian::in_traits<bool>::type auto_save) const
{
    ::elm_obj_entry_autosave_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(auto_save));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Entry::anchor_hover_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_entry_anchor_hover_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_parent_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type parent) const
{
    ::elm_obj_entry_anchor_hover_parent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(parent));
}
inline ::efl::eolian::return_traits<bool>::type Entry::prediction_allow_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_prediction_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::prediction_allow_set( ::efl::eolian::in_traits<bool>::type prediction) const
{
    ::elm_obj_entry_prediction_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(prediction));
}
inline ::efl::eolian::return_traits<Elm_Input_Hints>::type Entry::input_hint_get() const
{
   Elm_Input_Hints __return_value =  ::elm_obj_entry_input_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Hints>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_hint_set( ::efl::eolian::in_traits<Elm_Input_Hints>::type hints) const
{
    ::elm_obj_entry_input_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Hints,  ::efl::eolian::in_traits<Elm_Input_Hints>::type>(hints));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type Entry::input_panel_layout_get() const
{
   Elm_Input_Panel_Layout __return_value =  ::elm_obj_entry_input_panel_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_layout_set( ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type layout) const
{
    ::elm_obj_entry_input_panel_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Layout,  ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type>(layout));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type Entry::input_panel_return_key_type_get() const
{
   Elm_Input_Panel_Return_Key_Type __return_value =  ::elm_obj_entry_input_panel_return_key_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_type_set( ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type return_key_type) const
{
    ::elm_obj_entry_input_panel_return_key_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Return_Key_Type,  ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type>(return_key_type));
}
inline ::efl::eolian::return_traits<bool>::type Entry::input_panel_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_input_panel_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_entry_input_panel_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Elm_Wrap_Type>::type Entry::line_wrap_get() const
{
   Elm_Wrap_Type __return_value =  ::elm_obj_entry_line_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Wrap_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::line_wrap_set( ::efl::eolian::in_traits<Elm_Wrap_Type>::type wrap) const
{
    ::elm_obj_entry_line_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Wrap_Type,  ::efl::eolian::in_traits<Elm_Wrap_Type>::type>(wrap));
}
inline ::efl::eolian::return_traits<int>::type Entry::cursor_pos_get() const
{
   int __return_value =  ::elm_obj_entry_cursor_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_pos_set( ::efl::eolian::in_traits<int>::type pos) const
{
    ::elm_obj_entry_cursor_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(pos));
}
inline ::efl::eolian::return_traits<void>::type Entry::icon_visible_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_entry_icon_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_line_end_set() const
{
    ::elm_obj_entry_cursor_line_end_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::select_region_get( ::efl::eolian::out_traits<int>::type start,  ::efl::eolian::out_traits<int>::type end) const
{
   int __out_param_start = {};
   int __out_param_end = {};
    ::elm_obj_entry_select_region_get(this->_eo_ptr()
      , & __out_param_start
      , & __out_param_end);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(start, __out_param_start);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(end, __out_param_end);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_region_set( ::efl::eolian::in_traits<int>::type start,  ::efl::eolian::in_traits<int>::type end) const
{
    ::elm_obj_entry_select_region_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(start)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(end));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_return_key_autoenabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_entry_input_panel_return_key_autoenabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void>::type Entry::end_visible_set( ::efl::eolian::in_traits<bool>::type setting) const
{
    ::elm_obj_entry_end_visible_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(setting));
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_begin_set() const
{
    ::elm_obj_entry_cursor_begin_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_line_begin_set() const
{
    ::elm_obj_entry_cursor_line_begin_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_end_set() const
{
    ::elm_obj_entry_cursor_end_set(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Entry::textblock_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_entry_textblock_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_geometry_get( ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
   Evas_Coord __out_param_w = {};
   Evas_Coord __out_param_h = {};
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_geometry_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(h, __out_param_h);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void*>::type Entry::imf_context_get() const
{
   void * __return_value =  ::elm_obj_entry_imf_context_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_is_format_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_is_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::selection_get() const
{
   const char * __return_value =  ::elm_obj_entry_selection_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_is_visible_format_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_is_visible_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Entry::select_allow_get() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_select_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_allow_set( ::efl::eolian::in_traits<bool>::type allow) const
{
    ::elm_obj_entry_select_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(allow));
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_prev() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_prev(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::text_style_user_pop() const
{
    ::elm_obj_entry_text_style_user_pop(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_prepend( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_show() const
{
    ::elm_obj_entry_input_panel_show(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::imf_context_reset() const
{
    ::elm_obj_entry_imf_context_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::calc_force() const
{
    ::elm_obj_entry_calc_force(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::anchor_hover_end() const
{
    ::elm_obj_entry_anchor_hover_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_selection_begin() const
{
    ::elm_obj_entry_cursor_selection_begin(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_down() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_down(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::file_save() const
{
    ::elm_obj_entry_file_save(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_copy() const
{
    ::elm_obj_entry_selection_copy(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::text_style_user_push( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::elm_obj_entry_text_style_user_push(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_remove( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Entry::text_style_user_peek() const
{
   const char * __return_value =  ::elm_obj_entry_text_style_user_peek(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_clear() const
{
    ::elm_obj_entry_context_menu_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_up() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_up(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::entry_insert( ::efl::eolian::in_traits< ::efl::eina::string_view>::type entry) const
{
    ::elm_obj_entry_insert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(entry));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_imdata_set( ::efl::eolian::in_traits<void const*>::type data,  ::efl::eolian::in_traits<int>::type len) const
{
    ::elm_obj_entry_input_panel_imdata_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_imdata_get( ::efl::eolian::out_traits<void>::type data,  ::efl::eolian::out_traits<int>::type len) const
{
   void* __out_param_data = {};
   int __out_param_len = {};
    ::elm_obj_entry_input_panel_imdata_get(this->_eo_ptr()
      , & __out_param_data
      , & __out_param_len);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<void>::type, void>(data, __out_param_data);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(len, __out_param_len);
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_paste() const
{
    ::elm_obj_entry_selection_paste(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::cursor_next() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_cursor_next(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::select_none() const
{
    ::elm_obj_entry_select_none(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::input_panel_hide() const
{
    ::elm_obj_entry_input_panel_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::select_all() const
{
    ::elm_obj_entry_select_all(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::cursor_selection_end() const
{
    ::elm_obj_entry_cursor_selection_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Entry::selection_cut() const
{
    ::elm_obj_entry_selection_cut(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Entry::is_empty() const
{
   Eina_Bool __return_value =  ::elm_obj_entry_is_empty(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_remove( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::item_provider_append( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_item_provider_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_append( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::entry_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type str) const
{
    ::elm_obj_entry_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(str));
}
inline ::efl::eolian::return_traits<void>::type Entry::context_menu_item_add( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon_file,  ::efl::eolian::in_traits<Elm_Icon_Type>::type icon_type,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::elm_obj_entry_context_menu_item_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(label)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon_file)
      ,  ::efl::eolian::convert_to_c<Elm_Icon_Type,  ::efl::eolian::in_traits<Elm_Icon_Type>::type>(icon_type)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Entry::markup_filter_prepend( ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_entry_markup_filter_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Filter_Cb,  ::efl::eolian::in_traits<Elm_Entry_Filter_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline elm::Entry::operator ::elm::Entry() const { return *static_cast< ::elm::Entry const*>(static_cast<void const*>(this)); }
inline elm::Entry::operator ::elm::Entry&() { return *static_cast< ::elm::Entry*>(static_cast<void*>(this)); }
inline elm::Entry::operator ::elm::Entry const&() const { return *static_cast< ::elm::Entry const*>(static_cast<void const*>(this)); }
} }

